Bug 1122156 - Modeshape jdbc jar is missing commons.logging
Summary: Modeshape jdbc jar is missing commons.logging
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Productization
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER6
: 6.1.0
Assignee: Julian Coleman
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1102762
TreeView+ depends on / blocked
 
Reported: 2014-07-22 16:27 UTC by Van Halbert
Modified: 2016-02-10 08:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-10 08:54:33 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker MODE-2262 Blocker Resolved JDBC driver jar is missing commons.logging 2014-07-28 13:18:24 UTC

Comment 2 Horia Chiorean 2014-07-22 17:22:31 UTC
This is something that the productization process has to handle: the modeshape dependency graph for the modeshape-jdbc module contains:

[INFO] |  \- org.apache.httpcomponents:httpclient:jar:4.2.1:compile (version managed from 4
[INFO] |     +- org.apache.httpcomponents:httpcore:jar:4.2.1:compile
[INFO] |     +- commons-logging:commons-logging:jar:1.1.1:compile (version managed from 1.1
[INFO] |     \- commons-codec:commons-codec:jar:1.4:compile (version managed from 1.6)

So the jar must be taken out during the productization process.

Comment 3 JBoss JIRA Server 2014-07-22 17:52:57 UTC
Randall Hauch <rhauch@jboss.org> updated the status of jira MODE-2262 to Resolved

Comment 4 Horia Chiorean 2014-07-28 13:06:38 UTC
Rejecting, because this is not a ModeShape issue. The productization process is excluding this jar. See JIRA for more details.

Comment 5 Horia Chiorean 2014-07-28 13:12:07 UTC
IMO this should be assigned to prod and then re-acked.

Comment 7 Julian Coleman 2015-01-12 12:14:57 UTC
Fixed with commit a282b1f779d8356adc786612467fa5202f2aedca of rpms/modeshape.git:

    BZ-1122156
    Restore commons-logging so that the client jar can be used standalone.


Note You need to log in before you can comment on or make changes to this bug.